Subject: Re: bug#38502: 27.0.50; minibuffer-scroll-other-window with multiple frames

From: nvp <[email-masked]>
Date: Sun, 8 Dec 2019 18:22:36 -0500

> Try with 'temp-buffer-resize-mode' enabled
Thankyou Martin, I was unaware of this and it does seem useful -- will
investigate further.

> Maybe <backtab> and S-TAB should do this.
To me, this does seem like a good idea.  The reasons being:
1) this would be my first natural guess to reverse a scroll, possibly from
muscle memory coming
from shift-tabbing between tabs (eg. browswers), which I think might be
rather ubiquitous (speculation)
2) it is similar to the addition of S to C-M-v nomal scrollers

be my first guess as a way to reverse a scroll, and it is also how C-M-v is
already reversed.

> pops up and switches to the completion window, whereas
>
>     M-: (mak
>     M-v
>
> doesn't.  Should it?

I  think it should, as M-v doesn't seem to have any use in the minibuffer
there AFAICT.

Thankyou !!!

On Sun, Dec 8, 2019 at 5:20 PM Juri Linkov <[email-masked]> wrote:

> tags 38502 fixed
> close 38502 27.0.50
> quit
>
> >> C-v and M-v should scroll 'minibuffer-selected-window', but
> >> C-M-v should scroll the other window from 'minibuffer-selected-window'
> >> like it does now.  But maybe this should be configurable?
> >>
> >> Is there a variable/function with a name like
> 'minibuffer-selected-other-window'
> >> that gives an other window to scroll with C-M-v from the minibuffer or
> >> from the window defined by 'minibuffer-selected-window'?
> >
> > 'other-window-for-scrolling' tries to dynamically find a window that
> > shows 'other-window-scroll-buffer'.  So it's the latter we would
> > probably have to set.
>
> I see.  So this is fixed now.
>